<?php
 
session_start();
$com = "C";
include("DMMYSQLG.php");
include("DSA3000.php");
include("DMMYSQLG.php");
require_once("DF30000.inc");
require_once("DF80000.php");
require_once("DFMOVCAP.inc");
require_once("DFJQUERY.inc");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<script language="javascript">
$(document).ready(function(){
	function formatItem(row) {
		return " (<strong>" + row[1] + "</strong>)"+row[0];
	}
	var pagRes='DYAUTRES.php';
	var idObjDes='des_ope';
	var idObjCve='id_ope';
	var nomObjRad='tip_bus_ope';
	$("#"+idObjDes).autocomplete(pagRes,{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		max:20,                      //maximo de resultados mostrados, se manda como limit en autosugestion
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 100,           //alto del cuadro para el scroll
		formatItem:formatItem,	     //formato de presentacion de las posibles busquedas
		extraParams:{typeRequest:'ac',tipBus:'d'}  //Parametros Extra a Mandar en autosugestion
	});
	$("#"+idObjCve).autocomplete(pagRes,{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		max:20,                      //maximo de resultados mostrados, se manda como limit en autosugestion
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 100,           //alto del cuadro para el scroll
		formatItem:formatItem,       //formato de presentacion de las posibles busquedas
		formatResult:function(row){  //formato de seleccion de busqueda
			return row[1];
		},	                        
		extraParams:{typeRequest:'ac',tipBus:'c'}     //Parametros Extra a Mandar en autosugestion
	});
	$("#"+idObjCve).result(function(event, data, formatted){
		$("#"+idObjDes).val(data[0]);
		$("#"+idObjDes).focus();
		$("#precio").val(data[2]);
	});	
	$("#"+idObjDes).result(function(event, data, formatted){
		$("#"+idObjCve).val(data[1]);
		$("#precio").val(data[2]);
	});	
	$("input[@name="+nomObjRad+"]").click(function(){
		$("#"+idObjDes).setOptions({
			extraParams:{
				typeRequest:'ac',
				tipBusCat:getValRadChe(nomObjRad)
			}
		});
	});
});

</script>

<body>
<? 
/*Verifica que exista Variable contenedora del Id del Encabezado*/	
if (!isset($_REQUEST['bot'])){
	echo '<h2>!!! SELECCIONA UN REGISTRO... ACTUALIZANDO !!!</h2>';
	echo '<meta content="1; url=RC41100_PR.php"  HTTP-EQUIV="REFRESH">';
	exit();
}
/****************************************************************/

/*Llena Variable para verificar si esta en modo Update*/
if(!isset($_POST['block_mod'])){
	$bMod=false;			//Bandera de modificar, bloquea pagina en modo Modificar esperando el evento que la cambie de estado
	$bSel='';				//Id registro a modificar
}
else{
	$bMod=$_POST['block_mod'];
	$bSel=$_POST['reg_mod'];
}
/****************************************************/

$bModPri=false;					//Bandera de Modificar(True solo En el Primer Bloqueo o recarga de pagina en modo Modificar)
$id_menu=$_REQUEST["bot"]; 	//Id de Encabezado
$id_detfac=$_POST['bot_det'];	//Id de Detalle (si se selecciono alguno)

/*Crear Objetos Necesarios para Manipular Encabezado y Detalle*/
include('RC41100_CL.php');
$dataEnc['idMenU']=$id_menu;
$dataDet['idMen']=$id_menu;
$dataDet['idDedMen']=$id_detfac;
$recEtas = new menU($dataEnc);
$dedRecs = new dedMen($dataDet);
/************************************************************/

/*Recuperar Información de Encabezado y la coloca en los objetos HTML*/
$res=$recEtas->busReg();
$dt_enrecEta=mysqli_fetch_array($res);
$_REQUEST['cve_uni']=$dt_enrecEta['cve_uni']; 
$_REQUEST['id_menu']=$dt_enrecEta['id_menu'];
$_REQUEST['cve_men']=$dt_enrecEta['cve_men'];
$_REQUEST['porc_men']=$dt_enrecEta['porc_men'];
$_REQUEST['des_men']=$dt_enrecEta['des_men'];
//$_REQUEST['cos_inv']=number_format($dt_enrecEta['cosInv'],2,'.',',');
//$_REQUEST['pre_rec']=number_format($dt_enrecEta['preRec'],2,'.',',');
//$_REQUEST['tot_fac']=number_format($dt_enrecEta['totFac'],2,'.',',');
/******************************************************************/

/*Verificamos Si es la Primer Carga de La Pagina por si es necesario realizar alguna accion*/
if(!isset($_POST['RC41100_AGDET'])){
	$_REQUEST['id_iva']  =$dt_enrecEta['idTasIva'];
}
/************************************************/

/*Bloque de condiciones para Realizar las distintas operaciones sobre el detalle*/
if(isset($_POST['agregar'])){
	//codigo agregar
	$dataDet['idMen']=$id_menu;
	$dataDet['idDedMen']=$_POST['id_dedmen'];
	$dataDet['idOpe']=$_POST['id_ope'];
	$dataDet['canRec']=$_POST['cantidad'];

	

	$dedRecs->resetData($dataDet);
	$rs=$dedRecs->agregar();
	if($rs){
	
	    $_REQUEST['id_men']  ='';
	    $_REQUEST['id_dedmen']  ='';
		$_REQUEST['can_rec']  ='';
		$_REQUEST['id_ope']  ='';		
	}
}
elseif(isset($_POST['modificar']) && isset($_POST['bot_det'])){
	//Recupera Registro de Detalle y coloca los valores en los objetos HTML
	//Cambia la bandera de modificar a True y llena la variable que contiene el id del registro a modificar
	$dt_detfacMod= mysqli_fetch_array($dedRecs->busReg());
	//echo $dt_detfacMod['can_rec'];
	$dt_invent=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM rcreceta WHERE id_receta='".$dt_detfacMod['id_ope']."'"));
	//echo "SELECT * FROM dginvent WHERE nparte1='".$dt_detfacMod['id_ope']."'";
	//$_REQUEST['id_rec']=$dt_detfacMod['id_rec'];
	//$_REQUEST['id_dedrec']=$dt_detfacMod['id_dedrec'];
	$_REQUEST['cantidad']=$dt_detfacMod['can_rec'];
	$_REQUEST['id_ope']=$dt_detfacMod['id_ope'];
	$_REQUEST['des_ope']=$dt_invent['np_desc1'];	
	$_REQUEST['precio']=$dt_invent['lim_vta1'];
	$bSel=$_REQUEST['bot_det'];		
	$bModPri=true;
	$bMod=true;
}
elseif(isset($_POST['eliminar']) && isset($_POST['bot_det'])){
	//codigo eliminar
	$rs=$dedRecs->eliminar();
	$bSel=0;
}
elseif(isset($_POST['modificarReg'])){
	//Modificar el registro con id contenido en $bSel, posteriormente limpia $bSel
	//Cambia la bandera de modificar a False
	$dataDet['idDedMen']=$bSel;
	$dataDet['canRec']=$_POST['cantidad'];
	$dataDet['idOpe']=$_POST['id_ope'];
	$dedRecs->resetData($dataDet);
	$rs=$dedRecs->modificar();
	$_REQUEST['cantidad']='';
	$bMod=false;
	$bSel='';
	if($rs){
		$_REQUEST['cantidad'] ='';
		$_REQUEST['id_ope']  ='';
		$_REQUEST['des_ope']  ='';
			
	}
}elseif(isset($_POST['terminarCaptura'])){
		echo '<meta content="0; url=RC41100_PR.php"  HTTP-EQUIV="REFRESH">';		
		mysqli_close();
		exit();
}

/*Si Se Realizaron Operaciones sobre detalle actualiza Totales Factura*/
/****************************************************************/

/*Busca los Registros pertenecientes al encabezado en cuestion*/
$sq_detfac=$dedRecs->busByEnc();

/*************************************************************/
?>
<form name="frm1" method="post" action="RC41100_AGDET.php">
<input type="hidden" name="RC41100_AGDET" id="RC41100_AGDET" value="RC41100_AGDET.php">
<input type="hidden" name="bot" id="bot" value="<? echo $_REQUEST['bot'];?>">
<input type="hidden" name="reg_mod" id="reg_mod" value="<? echo $bSel;?>">
<input type="hidden" name="block_mod" id="block_mod" value="<? echo $bMod;?>">
<table border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <th colspan="3"><div align="center">DETALLE DE MENU &nbsp;<? echo $dt_enrecEta['des_men'];?></div></th>
  </tr>
  <tr>
    <td nowrap style="#F9F9F9"><span class="Estilo29">
      <label></label>
    Clave:
        <label> </label>
        <label> </label>
    </span></td>
    <td nowrap style="#F9F9F9"><span class="Estilo29">
      <label></label>
      <input name="id_receta" type="text" id="id_receta" size="10" value="<? echo $_REQUEST['cve_men'];?>" readonly>
    </span></td>
    <td nowrap style="#F9F9F9"><span class="Estilo29">
      <label>          </label>
    </span></td>
  </tr>
  <tr>
    <td nowrap style="#F9F9F9"><span class="Estilo29">
      Tipo:</span></td>
    <td nowrap style="#F9F9F9"><span class="Estilo29">
      <select name="cve_uni" id="cve_uni" disabled="disabled">
        <?php

	  $sq_tipres=mysqli_query($con ,"SELECT * FROM dglineas ");
	 
	  if(!isset($_REQUEST['cve_uni'])){
	  	$dt_tipfac=mysqli_fetch_array($sq_tipres);
		$selTipFac=$dt_tipfac['linea'];
		if(mysqli_num_rows($sq_tipres)>0)
			mysqli_data_seek($sq_tipres,0);
	  }else{
	  	$selTipFac=$_REQUEST['linea'];
	  }
	  while($dt_tipfac=mysqli_fetch_array($sq_tipres)){
	  	if($selTipFac==$dt_tipfac['linea'])
	  		echo '<option value="'.$dt_tipfac['linea'].'" selected>'.$dt_tipfac['des_linea '].'</option>';
		else
			echo '<option value="'.$dt_tipfac['linea'].'">'.$dt_tipfac['des_linea '].'</option>';
	  }
	  ?>
      </select>
    </span></td>
    <td nowrap style="#F9F9F9">&nbsp;</td>
  </tr>
  <tr>
    <td nowrap style="#F9F9F9"><span class="Estilo29">Porcion;
      
    </span></td>
    <td nowrap style="#F9F9F9"><span class="Estilo29">
      <input name="id_receta2" type="text" id="id_receta2" size="10" value="<? echo $_REQUEST['porc_men'];?>" readonly>
    </span></td>
    <td nowrap style="#F9F9F9">&nbsp;</td>
  </tr>
</table>
<p>&nbsp;</p>
  <table border="0" cellspacing="4" align="center" id="tableDetail">
    <tr style="#E9E9E9">
      <td colspan="9">
        <div align="center"></div>     </td>
    </tr>
    
	
	<tr style="#999999">
      <td nowrap ><span class="Estilo33">Sel.</span></td>
       <td nowrap class="Estilo33">Cantidad</td>
	  <td nowrap><span class="Estilo33">Descripci&oacute;n </span></td>
      <td nowrap><span class="Estilo33">Pre. Bas.</span></td>
      <td nowrap class="Estilo33">%Des.</td>
      <td nowrap class="Estilo33">Pre. Uni. </td>
      <td nowrap class="Estilo33">Subtotal </td>
      <td nowrap class="Estilo33">IVA Total </td>
      <td nowrap class="Estilo33">Total</td>
    </tr>
    <?php

		//Codigo Mostrar Detalle
		$subTotDoc=0.00;
		$ivaTotDoc=0.00;
		$totDoc=0.00;
		$subTotPar=0.00;
		$ivaTotPar=0.00;
		$totPar=0.00;
		$tipCar='-1';
		$contador=0;
		while($dt_detfac=mysqli_fetch_array($sq_detfac)){
			$contador++;

			if($dt_detfac['id_dedmen']!=$bSel){
			
		$sq_recetas="SELECT * FROM rcreceta WHERE id_receta=$dt_detfac['id_ope']";
		$receta1=mysqli_query($con ,$sq_recetas);
	    $des_rec=mysqli_fetch_array ($receta1);
		
				echo'<tr>
				
					<td class="detailRowTable" rowspan="2"><div align="center">
						<input type="radio" name="bot_det" id="bot_det" value="'.$dt_detfac['id_dedmen'].'">
					</div></td>
					<td class="detailRowTable" ><div align="right">
							'.$dt_detfac['can_rec'].'&nbsp;
					</div></td>
					<td class="detailRowTable" ><div align="left">
							'.$des_rec['des_rec'].'&nbsp;
					</div></td>
					<td class="detailRowTable" ><div align="right">
							'.number_format($dt_detfac['preBas'],2,'.',',').'&nbsp;
					</div></td>
					<td class="detailRowTable" ><div align="right">
							'.number_format($dt_detfac['porDes'],2,'.',',').'&nbsp;
					</div></td>
					<td class="detailRowTable" ><div align="right">
							'.number_format($dt_detfac['preUni'],2,'.',',').'&nbsp;
					</div></td>
					<td class="detailRowTable" ><div align="right">
							'.number_format($dt_detfac['subDet'],2,'.',',').'&nbsp;
					</div></td>																				
					<td class="detailRowTable" ><div align="right">
							'.number_format($dt_detfac['ivaDet'],2,'.',',').'&nbsp;
					</div></td>
					<td class="detailRowTable" ><div align="right">
							'.number_format($dt_detfac['totDet'],2,'.',',').'&nbsp;
					</div></td>
					</tr>';
					echo '<tr>
							<td  class="detailRowTableObs"  colspan="8"><pre>'."$dt_detfac['obsOpe']".'</pre></td>
						</tr>';
					$subTotDoc +=$dt_detfac['subDet'];
					$ivaTotDoc +=$dt_detfac['ivaDet'];
					$totDoc +=$dt_detfac['totDet'];
				}
		}
		echo '<tr><td colspan="9">&nbsp;</td></tr>
			<tr>
			<td colspan="6" class="inputcodigo"><div align="right">Total Documento: &nbsp;</div></td>
			<td colspan="1" class="inputcodigo"><div align="right">'.number_format($subTotDoc,2,'.',',').'</div></td>
			<td colspan="1" class="inputcodigo"><div align="right">'.number_format($ivaTotDoc,2,'.',',').'</div></td>
			<td colspan="1" class="inputcodigo"><div align="right">'.number_format($totDoc,2,'.',',').'</div></td>
			</tr>';		
		
	?>
	<tr>
	 	<td colspan="10"><div align="center"><input type="submit" name="terminarCaptura" id="terminarCaptura" value="Regresar">
	 	</div></td>
	</tr>
  </table>
  <p>&nbsp;</p>
</form>
</body>
</html>
